Skip to content

Get Address Information (v1)

For segregate warm wallet, cold wallet and DeFi account wallet. For consolidation wallet, use coin_name to filter address of the particular token.

A V2 version of this endpoint is available with improved performance. We recommend V2 for all new integrations. Refer to Get Address Information (v2).

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/addresses/{address}
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/addresses/{address}

Parameters

Path Parameters

Field Type Description

b_id
Required

String Business line ID

wallet_code
Required

String Wallet ID

address
Required

String Wallet address

Query Parameters

FieldTypeDescription
coin_name
Optional
StringCoin name
Allowed Value: Refer to Coin Name (API) column in Supported Token

Response

Response Body

Field Type Description
code Integer Response code (0 = success)
message String Response message
successful Boolean Whether the request was successful
data Object List of address info

data (object)

FieldTypeDescription
domain_idStringEnterprise ID
bidStringBusiness line ID
wallet_codeStringWallet ID
main_wallet_codeStringMain wallet ID
wallet_nameStringWallet name
wallet_typeStringWallet type (MIXED_ADDRESS or SEGREGATED_ADDRESS)
wallet_address_typeStringWallet address type
addressStringAddress
chainStringChain name (e.g. ETH, BTC)
address_typeStringAddress type (NORMAL_ADDRESS)
address_storageStringAddress storage type (COLD/HOT)
bch_address_formatStringBCH address format (CashAdd/Legacy)
btc_address_typeStringBTC address type (Legacy or SegWit)
coin_nameStringAsset name
descriptionStringAddress description
available_amountDecimalAvailable asset amount (the smallest unit)
available_amount_strStringAvailable asset amount in string format (in smallest unit)
freeze_amountDecimalFrozen asset amount (the smallest unit)
freeze_amount_strStringFrozen asset amount in string format (in smallest unit)
total_amountDecimalTotal asset amount (the smallest unit)
total_amount_strStringTotal asset amount in string format (in smallest unit)
confirm_ratioStringConfirmation ratio
total_market_amountDecimalTotal market value (in USD)
total_market_amount_strStringTotal market value in string format (in USD)
cny_total_market_amountDecimalTotal market value (in CNY)
cny_total_market_amount_strStringTotal market value in string format (in CNY)
address_statusStringAddress status
is_third_party_black_addressBooleanWhether the address is flagged as a third-party blacklisted address
max_withdraw_amountDecimalMaximum withdrawable amount for this asset at this address.
max_withdraw_amount_strStringMaximum withdrawable amount for this asset at this address in string format.

Response Example

{
    "code": 0,
    "message": "",
    "successful": true,
    "data": {
        "domain_id": "1e2fa188f5d44faca64c45485062e829",
        "bid": "b4a25892d06542ba8fedb40e99d0c659",
        "wallet_code": "CHEVMS5368231134",
        "main_wallet_code": "CHEVMS5368231134",
        "wallet_name": "",
        "wallet_type": "MIXED_ADDRESS",
        "wallet_address_type": null,
        "address": "0xd514722Dc9f4407F0729bf8654436ee3100C192c",
        "chain": "ETH",
        "address_type": "NORMAL_ADDRESS",
        "address_storage": "HOT",
        "bch_address_format": null,
        "btc_address_type": null,
        "coin_name": "USDC",
        "description": "",
        "available_amount": 0,
        "available_amount_str": "0",
        "freeze_amount": 0,
        "freeze_amount_str": "0",
        "total_amount": 0,
        "total_amount_str": "0",
        "confirm_ratio": null,
        "total_market_amount": null,
        "total_market_amount_str": null,
        "cny_total_market_amount": null,
        "cny_total_market_amount_str": null,
        "address_status": null,
        "is_third_party_black_address": false,
        "max_withdraw_amount": null,
        "max_withdraw_amount_str": null
    }
}